/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
package android.service.adb;

option java_multiple_files = true;
option java_outer_classname = "AdbServiceProto";

import "frameworks/base/core/proto/android/privacy.proto";

message AdbServiceDumpProto {
    option (android.msg_privacy).dest = DEST_AUTOMATIC;

    optional AdbDebuggingManagerProto debugging_manager = 1;
}

message AdbDebuggingManagerProto {
    option (android.msg_privacy).dest = DEST_AUTOMATIC;

    optional bool connected_to_adb = 1;
    optional string last_key_recevied = 2 [ (android.privacy).dest = DEST_EXPLICIT ];
    optional string user_keys = 3 [ (android.privacy).dest = DEST_LOCAL ];
    optional string system_keys = 4 [ (android.privacy).dest = DEST_LOCAL ];
    optional string keystore = 5 [ (android.privacy).dest = DEST_LOCAL ];
}
